incubator-couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Volker Mische <volker.mis...@gmail.com>
Subject Re: couchdb 1.0.0 with ubuntu 10.4
Date Fri, 16 Jul 2010 12:14:24 GMT
Servus Wolfgang,

On 07/16/2010 01:18 PM, Wolfgang Egger wrote:
> Servus
> I'm not able to get couchdb 1.0.0 running correct under ubuntu 10.4.
>
> While installing I got an error bout a missing package mozjs that I'm ignoring
> (after reading some Web-Articles about that).

You shouldn't ignore that error. Have a look at the "Installing on 
Ubuntu" wiki page [1]. What you probably need it while ./configure is:
./configure --with-js-lib=/usr/lib/xulrunner-devel-1.9.2.6/lib 
--with-js-include=/usr/lib/xulrunner-devel-1.9.2.6/include

I suggest running it without installing it first. Do a "make dev" and 
then a:
LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9.2.6 ./utils/run

Now try to run the test suite in Futon.

In case you have a not recently updated Ubuntu 10.4 use 
"xulrunner-1.9.2.3" instead.

[1] http://wiki.apache.org/couchdb/Installing_on_Ubuntu

Cheers,
   Volker

Mime
View raw message